# Class T8GIRegionDTO

##### Index

### Constructors

constructor

### Properties

bboxMaxX
bboxMaxY
bboxMaxZ
bboxMinX
bboxMinY
bboxMinZ
index
nameIndices
populations
primaryRegionIndex
regionNames
wcsData

### Methods

getBboxMaxX
getBboxMaxY
getBboxMaxZ
getBboxMinX
getBboxMinY
getBboxMinZ
getName
getPopulation
getWorldCoordinateSystem
init
isMostPopulated

## Constructors

### constructor

- new T8GIRegionDTO(): T8GIRegionDTO

  #### Returns T8GIRegionDTO

## Properties

### bboxMaxX

bboxMaxX: Float32Array

### bboxMaxY

bboxMaxY: Float32Array

### bboxMaxZ

bboxMaxZ: Float32Array

### bboxMinX

bboxMinX: Float32Array

### bboxMinY

bboxMinY: Float32Array

### bboxMinZ

bboxMinZ: Float32Array

### index

index: number

### nameIndices

nameIndices: TypedArray

### populations

populations: TypedArray

### primaryRegionIndex

primaryRegionIndex: null | number

### regionNames

regionNames: string[]

### wcsData

wcsData: Float32Array

## Methods

### getBboxMaxX

- getBboxMaxX(): number

  #### Returns number

### getBboxMaxY

- getBboxMaxY(): number

  #### Returns number

### getBboxMaxZ

- getBboxMaxZ(): number

  #### Returns number

### getBboxMinX

- getBboxMinX(): number

  #### Returns number

### getBboxMinY

- getBboxMinY(): number

  #### Returns number

### getBboxMinZ

- getBboxMinZ(): number

  #### Returns number

### getName

- getName(): string

  #### Returns string

### getPopulation

- getPopulation(): number

  #### Returns number

### getWorldCoordinateSystem

- getWorldCoordinateSystem(): Float32Array

  #### Returns Float32Array

### init

- init(
  primaryRegionIndex: null | number,
  nameIndices: TypedArray,
  populations: TypedArray,
  bboxMinX: Float32Array,
  bboxMinY: Float32Array,
  bboxMinZ: Float32Array,
  bboxMaxX: Float32Array,
  bboxMaxY: Float32Array,
  bboxMaxZ: Float32Array,
  wcsData: Float32Array,
  regionNames: string[],
  ): this

  #### Parameters

  - primaryRegionIndex: null | number
  - nameIndices: TypedArray
  - populations: TypedArray
  - bboxMinX: Float32Array
  - bboxMinY: Float32Array
  - bboxMinZ: Float32Array
  - bboxMaxX: Float32Array
  - bboxMaxY: Float32Array
  - bboxMaxZ: Float32Array
  - wcsData: Float32Array
  - regionNames: string[]

  #### Returns this

### isMostPopulated

- isMostPopulated(): boolean

  #### Returns boolean